Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does not accept spaces

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Feb 2022 16:22:17 +0100

Michael Heerdegen <[email-masked]> writes:

> Anyway, my opinion doesn't matter much.  I don't like the behavior of
> space not just inserting a space - I get angry every time this happens.
> I wonder what others do think about it.

I absolutely loathe it, so I have:

(keymap-set minibuffer-local-completion-map "SPC" #'self-insert-command)
(keymap-set minibuffer-local-completion-map "?" #'self-insert-command)

But I don't think this is something we can change at this point.

But I've now added this to the Minibuffer Edit node in the Emacs manual.
I don't think there's anything more to do in this bug report, and I'm
therefore closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no